Get a version export
GET
/v1/projects/{projectId}/versions/{versionNumber}/exports/{exportId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}/versions/{versionNumber}/exports/{exportId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- projectIdstringrequired
- versionNumbernumberrequired
- exportIdstringrequired
Responses
Success
- dataobjectrequired
- idstringrequired
- formatstringrequired
- optionsobjectrequired
- statestringrequiredAllowed valuesqueuedrunningsucceededfailedcancelled
- loadCheckstring | nullAllowed valuespassedfailednot_applicablenot_evaluated
- loadCheckErrorstring | null
- sizeBytesnumber | null
- createdAtstringrequired
- workflowRunIdstring | null
- progressobject | null
Progress of the running export step; null unless state is running.
Response example
{
"data": {
"id": "string",
"format": "string",
"options": {},
"state": "queued",
"loadCheck": "passed",
"loadCheckError": "string",
"sizeBytes": 0,
"createdAt": "string",
"workflowRunId": "string",
"progress": {}
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1